#include <Wire.h>
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

#define PIN 14
Adafruit_NeoPixel strip = Adafruit_NeoPixel(3, PIN, NEO_GRB + NEO_KHZ800);
void setup(){
       // This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
      #if defined (__AVR_ATtiny85__)
      if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
      #endif
      Wire.begin(4);                // join i2c bus with address #4
      Wire.onReceive(receiveEvent); // register event
      Serial.begin(9600);           // start serial for output
      strip.begin();
      strip.show(); // Initialize all pixels to 'off'
   
    }

    void loop()
    {
      delay(100);  
    }

    // function that executes whenever data is received from master
    // this function is registered as an event, see setup()
    void receiveEvent(int howMany)
    {
      while (1 < Wire.available()) // loop through all but the last
      {
        char c = Wire.read(); // receive byte as a character
        Serial.print(c);         // print the character
      }
      int x = Wire.read();    // receive byte as an integer
      Serial.println(x); // print the integer
      int a  = x%10; 
      Serial.print("a=");
      Serial.println(a);
      
      switch (a){
      case 1:
       //colorWipe(strip.Color(255, 0, 0), 0); // Red
       strip.setPixelColor(0, strip.Color(255,0,0)); // Moderately bright green color.
       strip.setPixelColor(1, strip.Color(0,0,0)); // Moderately bright green color.
       strip.setPixelColor(2, strip.Color(0,0,0)); // Moderately bright green color.
       //Serial.println("case 1:");
       break;
      case 2:
        //colorWipe(strip.Color(0, 255, 0), 0); // Red 
        strip.setPixelColor(0, strip.Color(255,0,0)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(255,0,0)); // Moderately bright green color.

        
        //Serial.println("case 2:");  
        break;
      case 3:
        //colorWipe(strip.Color(0, 0, 255), 0); // Red 
        strip.setPixelColor(0, strip.Color(255,0,0)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(255,0,0)); // Moderately bright green color.
        strip.setPixelColor(2, strip.Color(255,0,0)); // Moderately bright green color.
        //Serial.println("case 3:");
        break;
    
     case 4:
       //colorWipe(strip.Color(255, 0, 0), 0); // Red
       strip.setPixelColor(0, strip.Color(0,255,0)); // Moderately bright green color.
       strip.setPixelColor(1, strip.Color(0,0,0)); // Moderately bright green color.
       strip.setPixelColor(2, strip.Color(0,0,0)); // Moderately bright green color.
  
       //Serial.println("case 1:");
       break;
      case 5:
        //colorWipe(strip.Color(0, 255, 0), 0); // Red 
        strip.setPixelColor(0, strip.Color(0,255,0)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(0,255,0)); // Moderately bright green color.
         strip.setPixelColor(2, strip.Color(0,0,0)); // Moderately bright green color.

        
        //Serial.println("case 2:");  
        break;
      case 6:
        //colorWipe(strip.Color(0, 0, 255), 0); // Red 
        strip.setPixelColor(0, strip.Color(0,255,0)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(0,255,0)); // Moderately bright green color.
        strip.setPixelColor(2, strip.Color(0,255,0)); // Moderately bright green color.
        //Serial.println("case 3:");
        break;
     case 7:
       //colorWipe(strip.Color(255, 0, 0), 0); // Red
       strip.setPixelColor(0, strip.Color(0,0,255)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(0,0,0)); // Moderately bright green color.
        strip.setPixelColor(2, strip.Color(0,0,0)); // Moderately bright green color.
 
       //Serial.println("case 1:");
       break;
      case 8:
        //colorWipe(strip.Color(0, 255, 0), 0); // Red 
        strip.setPixelColor(0, strip.Color(0,0,255)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(0,0,255)); // Moderately bright green color.
      strip.setPixelColor(2, strip.Color(0,0,0)); // Moderately bright green color.

        
        //Serial.println("case 2:");  
        break;
      case 9:
        //colorWipe(strip.Color(0, 0, 255), 0); // Red 
        strip.setPixelColor(0, strip.Color(0,0,255)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(0,0,255)); // Moderately bright green color.
        strip.setPixelColor(2, strip.Color(0,0,255)); // Moderately bright green color.
        //Serial.println("case 3:");
        break;
      case 0:
        //strip.show();
        strip.setPixelColor(0, strip.Color(255,255,255)); // Moderately bright green color.
        strip.setPixelColor(1, strip.Color(255,255,255)); // Moderately bright green color.
        strip.setPixelColor(2, strip.Color(255,255,255)); // Moderately bright green color.
        //Serial.println("case 3:");
        break;
        
        }
        strip.show();
    }
    
      // Fill the dots one after the other with a color
void colorWipe(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<strip.numPixels(); i++) {
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}

